> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vatic.trading/llms.txt
> Use this file to discover all available pages before exploring further.

# Token ID Lookup

> Resolves the Polymarket CLOB token ID for a given market slug and outcome name. Use this to get the `tokenId` needed to place orders.



## OpenAPI

````yaml GET /api/v1/markets/tokenId
openapi: 3.1.0
info:
  title: Vatic API
  version: 1.0.0
  description: >-
    Polymarket price targets, Hyperliquid prediction market data, market
    timestamps, fee calculators, and order management for systematic prediction
    market trading.
servers:
  - url: https://api.vatic.trading
    description: Production
security: []
paths:
  /api/v1/markets/tokenId:
    get:
      tags:
        - Markets
      summary: Token ID lookup by slug and outcome
      description: >-
        Resolves the Polymarket CLOB token ID for a given market slug and
        outcome name. Use this to get the `tokenId` needed to place orders.
      operationId: getMarketTokenId
      parameters:
        - name: slug
          in: query
          required: true
          schema:
            type: string
            example: will-arsenal-win-the-202526-english-premier-league
        - name: outcome
          in: query
          required: true
          schema:
            type: string
            example: 'Yes'
          description: Case-insensitive outcome name (e.g. `Yes`, `No`).
        - name: eventSlug
          in: query
          required: false
          schema:
            type: string
          description: Optional — validates the market belongs to the expected event.
      responses:
        '200':
          description: Token ID and market details
          content:
            application/json:
              example:
                tokenId: >-
                  71321045679252212594626385532706912750332728571942532289631379312455583992563
                outcome: 'Yes'
                outcomeIndex: 0
                conditionId: 0xabc...
                negRisk: false
                slug: will-arsenal-win-the-202526-english-premier-league
                eventSlug: premier-league-winner-2025-26
                question: Will Arsenal win the 2025/26 English Premier League?
        '400':
          description: Missing required params
        '404':
          description: Market or outcome not found
        '502':
          description: Gamma API unavailable

````